# vue-admin-template

English | [简体中文](./README-zh.md)

> A minimal vue admin template with Element UI & axios & iconfont & permission control & lint

**Live demo:** http://panjiachen.github.io/vue-admin-template


**The current version is `v4.0+` build on `vue-cli`. If you want to use the old version , you can switch branch to [tag/3.11.0](https://github.com/PanJiaChen/vue-admin-template/tree/tag/3.11.0), it does not rely on `vue-cli`**

## Build   Setup


```bash
# clone the project
git clone https://github.com/PanJiaChen/vue-admin-template.git

# enter the project directory
cd vue-admin-template

# install dependency
npm install

# develop
npm run dev
```

This will automatically open http://localhost:9528

## Build

```bash
# build for test environment
npm run build:stage

# build for production environment
npm run build:prod
```

## Advanced

```bash
# preview the release environment effect
npm run preview

# preview the release environment effect + static resource analysis
npm run preview -- --report

# code format check
npm run lint

# code format check and auto fix
npm run lint -- --fix
```

Refer to [Documentation](https://panjiachen.github.io/vue-element-admin-site/guide/essentials/deploy.html) for more information

## Demo

![demo](https://github.com/PanJiaChen/PanJiaChen.github.io/blob/master/images/demo.gif)

## Extra

If you want router permission && generate menu by user roles , you can use this branch [permission-control](https://github.com/PanJiaChen/vue-admin-template/tree/permission-control)

For `typescript` version, you can use [vue-typescript-admin-template](https://github.com/Armour/vue-typescript-admin-template) (Credits: [@Armour](https://github.com/Armour))

## Related Project

[vue-element-admin](https://github.com/PanJiaChen/vue-element-admin)

[electron-vue-admin](https://github.com/PanJiaChen/electron-vue-admin)

[vue-typescript-admin-template](https://github.com/Armour/vue-typescript-admin-template)

## Browsers support

Modern browsers and Internet Explorer 10+.

| [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/edge/edge_48x48.png" alt="IE / Edge" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)</br>IE / Edge | [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/firefox/firefox_48x48.png" alt="Firefox" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)</br>Firefox | [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/chrome/chrome_48x48.png" alt="Chrome" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)</br>Chrome | [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/safari/safari_48x48.png" alt="Safari" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)</br>Safari |
| --------- | --------- | --------- | --------- |
| IE10, IE11, Edge| last 2 versions| last 2 versions| last 2 versions

## License

[MIT](https://github.com/PanJiaChen/vue-admin-template/blob/master/LICENSE) license.

Copyright (c) 2017-present PanJiaChen



1.	统计分析			  statisticalAnalysis
1-1.实时监控		    realTimeMonitoring
1-2.过程分析		    processAnalysis
1-3.误差分析		    errorAnalysis
1-4.用料分析		    materialAnalysis
1-5.价格分析		    priceAnalysis
1-6.效率分析		    efficiencyAnalysis
1-7.效率统计		    efficiencyStatistics

2.  统计图表      statisticalChart
2-1.配方统计      formulaStatistics
2-2.栏舍统计      shedStatistics

3.  配方计划      formulationPlan
3-1.配方模板      recipeTemplate
3-2.栏舍配方      dhedFormula
3-3.预混计划      premixedPlan
3-4.发料计划      materialIssuancePlan
3-5.剩料计划      surplusMaterialPlan
3-6.日执行计划    dailyExecutionPlan

4.栏舍生产        shedProduction
4-1.栏舍生产性能  performance
4-2.栏舍剩料记录  materialRemainingRecord
4-3.配方干物质    formulaDryMatter
4-4.配方价格      formulaPrice
4-5.宾州筛        pennsylvaniaSieve
4-6.粪便筛        fecalScreen
4-7.粪便评分      dungScores
4-8.体况评分      physicalConditionScore

5.库存管理        inventoryManagement
5-1.入库管理      warehousing
5-2.系统用量      systemConsumption
5-3.人工用量      laborConsumption
5-4.盘点单        inventoryList
5-5.库存预警      warning
5-6.库存统计      statistics

6.基础数据        basicData
6-1.驾驶员        driver
6-2.TMR设备       equipmentTMR
6-3.铲车管理      forkliftManagement
6-4.牲畜类别      livestockCategory
6-5.舍组栏      	 groupColumn
6-6.饲料分类      feedClassification
6-7.饲料表        feedTable
6-8.标准参数      standardParameters
6-9.默认参数配置  defaultParameter

7.系统管理        	systemManagement
7-1.集团信息		 	groupInformation
7-2.牧场信息		 	ranchInformation
7-3.角色管理			role
7-4.用户管理			user
7-5.操作日志(审计)	operation